this.afterViewInit = function () {
    var self = this;
    var stackup_viewer = self.uiLoader().getObject('stackup');
    stackup_viewer.setDrawSetting(self.config("stackup.draw_setting"));

    var selector = new TSqlSelectorV2;
    selector.setTable("pdm_stkmatlib");
    selector.setWhere("class = 'Core'");
    selector.setField("DISTINCT family");
    selector.setOrder(["family ASC"]);
    var cores = self.runSqlQueryOnThreadSync("TOPSQLTHREAD_SELECT_ARRAYMAP", selector);
    cores = _.map(cores, function(item) { return { name: item.family, text: item.family } } );
    self.naviView().getObject('attr_data.core_family').setData('item_list', cores);

    selector.clear();
    selector.setTable("pdm_stkmatlib");
    selector.setWhere("class = 'Prepreg'");
    selector.setField("DISTINCT family");
    selector.setOrder(["family ASC"]);
    var pps = self.runSqlQueryOnThreadSync("TOPSQLTHREAD_SELECT_ARRAYMAP", selector);
    pps = _.map(pps, function(item) { return { name: item.family, text: item.family } } );
    self.naviView().getObject('attr_data.pp_family').setData('item_list', pps);
}


this.onNaviReset = function () {
    var naviUi = this.naviLoader();
    naviUi.clearValues();
    this.refresh();
}