function func(self) {
  var ui = {
    type: 'TabWidget',
    child: [
      {
        type: 'VBoxLayout',
        pack: { label: self.ttr('Basic Info') },
        child: [
          {
            type: 'FormGridLayout',
            child: [
              {
                name: 'attr_data.name',
                type: 'LineEdit',
                pack: { label: self.ttr('Name') } 
              },
              {
                name: 'layer_count',
                type: 'LineEdit',
                pack: { label: self.ttr('Layer Count') },
                property: { readonly: true } 
              },
              {
                name: 'min_thk',
                type: 'LineEdit',
                pack: { label: self.ttr('Min Thk') },
                property: { readonly: true } 
              },
              {
                name: 'max_thk',
                type: 'LineEdit',
                pack: { label: self.ttr('Max Thk') },
                property: { readonly: true } 
              },
              {
                name: 'attr_data.core_family',
                type: 'LineEdit',
                pack: { label: self.ttr('Core Family') },
                property: { readonly: true } 
              },
              {
                name: 'attr_data.pp_family',
                type: 'LineEdit',
                pack: { label: self.ttr('PP Family') },
                property: { readonly: true } 
              },
              {
                name: 'stackup_code',
                type: 'LineEdit',
                pack: { label: self.ttr('Structure') },
                property: { readonly: true } 
              },
              {
                name: 'attr_data.remark',
                type: 'PlainTextEdit',
                pack: { label: self.ttr('Remark') }
              }
            ]
          },
          {
            type: 'Stretch'
          }
        ]
      },
      {
        type: 'VBoxLayout',
        pack: { label: self.ttr('Stackup') },
        property: { margin: 0, spacing: 0 },
        child: [
          {
            name: 'stackup',
            type: 'topikm6-stackup-viewer-plugin.STACKUPVIEWER',
            setter: function(obj, value) {
              obj.setStackupData(JSON.parse(value));
            }
          },
          {
            type: 'Stretch'
          }
        ]
      }
    ]
  };
  return ui;
}