//获取总表数据
this.getTotalData = function (conditionMap) {
    var treeName = "test";
    var view = {
        "data_keys": ["zone", "kpi_dept", "past_due", "past_due.color"],
        "horizontal_header": [
            {
                "name": "zone",
                "display": "Zone",
                "displayRole": "$zone"
            },
            {
                "name": "kpi_dept",
                "display": "Kpi dept",
                "displayRole": "$kpi_dept"
            },
            {
                "name": "past_due",
                "display": "Past due",
                "displayRole": "$past_due",
                "backgroundRole": "$past_due.color"
            }
        ]
    }
    var treeData = [];
    for (var i = 0; i < 5; i++) {
        var data = {
            "id": 1,
            "zone": "Z0",
            "kpi_dept": "Unreleased",
            "past_due": "14",
            "past_due.color": "pink",
            "CHILDREN": [
                {
                    "zone": "Z00",
                    "kpi_dept": "release",
                    "past_due": "14",
                    "past_due.color": "#FF99CC"
                },
                {
                    "zone": "Z01",
                    "kpi_dept": "release",
                    "past_due": "14",
                    "past_due.color": "#FF99CC"
                },
                {
                    "zone": "Z02",
                    "kpi_dept": "release",
                    "past_due": "14",
                    "past_due.color": "#FF99CC"
                }
            ]
        };
        treeData.push(data)
    }
    var totalData = {};
    totalData['name'] = treeName;
    totalData['view'] = view;
    totalData['data'] = treeData;
    return totalData;
}

//获取分表数据
this.getSubData = function (cellData) {
    var detailData = this.getTotalData(cellData);
    detailData['name'] = APP.getToday() + '_' +_.random(0, 100);
    return detailData;
}
