function func(self) {
  var ui = {
    type: 'TabWidget',
    child:
      {
        type: 'VBoxLayout',
        property: {stylesheet:"QTabWidget{background-color:red}"},
        pack: { label: self.ttr('User Info') },
        child: [
          {
            type: 'FormGridLayout',
            child: [
              {
                name: 'id',
                type: 'LineEdit',
                title: self.ttr('ID'),
                pack: { label: self.ttr('ID') },
                property: { enabled: false },
                state: function(obj) {
                  return "Hide";
                }
              },
              {
                name: 'contcat_id',
                type: 'LineEdit',
                property: { enabled: false },
                state:  function(obj,self) {
                    return 'Hide';
                }
            },
              {
                name: 'username',
                type: 'LineEdit',
                pack: { label: self.ttr('Login Name') }
              },
              {
                name: 'password',
                type: 'LineEdit',
                pack: { label: self.ttr('Password') },
                state: function(obj) {
                  return "Hide";
                }
              },
              {
                name: 'fullname',
                type: 'LineEdit',
                pack: { label: self.ttr('Full Name') }
              },
              {
                name: 'staffid',
                type: 'LineEdit',
                pack: { label: self.ttr('Staff ID') }
              },
              {
                name: 'mail',
                type: 'LineEdit',
                pack: { label: self.ttr('Mail') }
              },
              {
                name: 'remark',
                type: 'PlainTextEdit',
                property: { vertical_scroll_bar_policy: 'ScrollBarAlwaysOff' },
                pack: { label: self.ttr('Remark') }
              },
              {
                name: 'status',
                type: 'ComboBox',
                property: { item_list: TOPENM.enumList("sys-user-status").toComboList() },
                pack: { label: self.ttr('Status') }
              },
            ]
          },
          {
            type: 'Stretch'
          }
        ]
      }
  };
  return ui;
}