function func(self) {
  return {
    type: "FormGridLayout",
    child: [
      {
        name: "id",
        type: "LineEdit",
        pack: { label: "ID" },
      },
      {
        name: "username",
        type: "LineEdit",
        pack: { label: "Name" },
        setter: function (obj, value, self) {
          var dd = this.getObject("fullname").getData("value");
        },
        getter: function (obj) {
          var dd = this.getObject("fullname").getData("value");
          return obj.getData("value");
        },
      },
      {
        name: "fullname",
        type: "LineEdit",
        pack: { label: "Fullname" },
      },
      {
        name: "tableview1",
        type: "TableView",
        pack: { label: "table1" },
        initCallback: function (obj, self) {
          obj.setHeaderItem([
            {},
            {
              name: "id",
              display: self.ttr("ID"),
              displayRole: "$id",
            },
            {
              name: "name",
              display: self.ttr("Name"),
              displayRole: "$name",
              size: 200,
            },
            {
              name: "description",
              display: self.ttr("Description"),
              displayRole: "$description",
              size: 200,
            },
          ]);
          obj.setDataKeyList(["id", "name", "description"]);
          // 设置数据
          try {
            var selector = new TSqlSelectorV2();
            selector.setTable(
              "sys_role as R inner join sys_role_map_user as RU on RU.role_id = R.id"
            );
            selector.setField(["id", "name", "description"]);
            selector.setWhere("RU.user_id", 2);
            var error = new TError();
            var dataLst = self.runSqlQueryOnThreadSync(
              "TOPSQLTHREAD_SELECT_ARRAYMAP",
              selector,
              error
            );
            if (error.isValid()) {
              throw error.text();
            }
            obj.loadData(dataLst);
          } catch (e) {
            print(e);
          }
        },
      },
      {
        name: "tableview2",
        type: "TableView",
        pack: { label: "table2" },
        initCallback: function (obj, self) {
          obj.setHeaderItem([
            {},
            {
              name: "id",
              display: self.ttr("ID"),
              displayRole: "$id",
            },
            {
              name: "name",
              display: self.ttr("Name"),
              displayRole: "$name",
              size: 200,
            },
            {
              name: "description",
              display: self.ttr("Description"),
              displayRole: "$description",
              size: 200,
            },
          ]);
          obj.setDataKeyList(["id", "name", "description"]);
          // 设置数据
          try {
            var selector = new TSqlSelectorV2();
            selector.setTable(
              "sys_role as R inner join sys_role_map_user as RU on RU.role_id = R.id"
            );
            selector.setField(["id", "name", "description"]);
            selector.setWhere("RU.user_id", 2);
            var error = new TError();
            var dataLst = self.runSqlQueryOnThreadSync(
              "TOPSQLTHREAD_SELECT_ARRAYMAP",
              selector,
              error
            );
            if (error.isValid()) {
              throw error.text();
            }
            obj.loadData(dataLst);
          } catch (e) {
            print(e);
          }
        },
      },
    ],
  };
}
