try {
    var self = this;
    var option_list_table = self.uiLoader().getObject("option_list");
    if (option_list_table == undefined) {
        return;
    }
    if (option_list_table.selectedRowDataMaps().length <= 0) {
        return;
    }
    var allDataMap = option_list_table.allDataMap();
    var rowMap = option_list_table.selectedRowDataMaps()[0];
    var currentIndex = -1;
    _.each(allDataMap, function(item, index) {
        if (_.isEqual(rowMap, item)) {
            currentIndex = index;
        }
    })
    var ret = GUI.showForm({
        title: self.ttr('Edit Option') + ": " + rowMap['name'],
        self: self,
        use_core_engine: true,
        ui: self.ui('option-list'),
        size: '400x400',
        buttons: [
            self.ttr('Ok') + ':Ok:Ok:Primary',
            self.ttr('Cancel') + ':Cancel:Cancel:Normal'
        ],
        include_hidden_items: true,
        values: rowMap
    })

    if (_.isEmpty(ret)) {
        return;
    }

    var isNameExist = false;
    var iindex;
    _.forEach(allDataMap, function(item, index) {    
        if (currentIndex != index && ret['name'] == item['name']) {
            isNameExist = true;
        }  
    });
    if (isNameExist) {
        GUI.msgbox({
            title: this.ttr("Error"),
            text: this.ttr("Option Name is existed!")
        });
        return;
    }
    option_list_table.setRowDataByPrimaryKey(rowMap["name"], ret);
}  catch (e) {
    print(e);
}
 