var ans = TMessageBox.question(this, this.ttr("Are you sure to restore selected items?"), '', this.ttr('Ask'));
if (ans != 'Yes')
{
	return;
}

var query = new TSqlQueryV2(T_SQLCNT_POOL.getSqlDatabase());
query.begin();
try {
    var updater = new TSqlUpdaterV2;
    updater.setTable("pdm_attrname");
    updater.setWhere('id', this.selectedItems());
    updater.setData({del_flag: 0});
    query.updateRow(updater);
    var error = query.lastError();
    if (error.isValid()) {
        throw error;
    }
    query.commit();
    this.alertOk(this.ttr("Restore data Success!"));
    this.refresh(false);
    this.refreshDetail("");	
} catch (e) {
    query.rollback();
    this.alertError(this.ttr("Restore Data Failed"));
    print(e);
}

/*---ACTION---
ICON: "mail-reply"
LABEL: "Restore"
LABEL_ZHCN: "还原"
LABEL_ZHTW: "還原"
ACCEL: "Ctrl+R"
TOOLTIP: "Restore Attribute"
TOOLTIP_ZHCN: "还原属性"
TOOLTIP_ZHTW: "還原屬性"
CHECKED: ""
GROUP: ""
LABEL_EN: ""
LABEL_JP: ""
TOOLTIP_EN: ""
TOOLTIP_JP: ""
PERMISSION: "pdm-attr-name-edit"
STYLE: "button_style=both"
LANG: "JavaScript"
STATUS: "Release"
VERSION: "1"
STATEHOOK: "if(_.isEmpty(this.config('view.data_set.db_del_flag_key')) == false){return 'hide'} else if( this.selectedItems().length > 0){return 'enable'}else{return 'disable'}"
---ACTION---*/