function func(self) {
    return {
        type: 'FormGridLayout',
        child: [
            {
                name: 'layer_count',
                type: 'IntLineEdit',
                pack: { label: self.ttr('Layer Count') }
            },
            {
                name: 'attr_data.core_family',
                type: 'ComboBox',
                pack: { label: self.ttr('Core Family') },
                property: {
                    searchable: true,
                    user_data: { field_name: "attr_data->>'core_family'", operator: 'LIKE' }
                }
            },
            {
                name: 'attr_data.pp_family',
                type: 'ComboBox',
                pack: { label: self.ttr('PP Family') },
                property: {
                    searchable: true,
                    user_data: { field_name: "attr_data->>'pp_family'", operator: 'LIKE' }
                }
            },
            {
                name: 'stackup_code',
                type: 'LineEdit',
                pack: { label: self.ttr('Structure') },
                property: {
                    user_data: { operator: 'LIKE' }
                }
            }
        ]
    };
}
