function func(self) {
    return {
        type: 'FormGridLayout',
        child: [
            {
                name: 'attr_data.machine_code',
                type: 'IntLineEdit',
                pack: { label: self.ttr('Machine Code') },
                property: {
                    user_data: { field_name: "attr_data#>>'{machine_code}'", operator: 'ilike' }
                }
            },
            {
                name: 'attr_data.core_family',
                type: 'ComboBox',
                pack: { label: self.ttr('Core Family') },
                property: {
                    searchable: true,
                    user_data: { field_name: "attr_data->>'core_family'", operator: 'LIKE' }
                }
            },
            {
                name: 'attr_data.pp_family',
                type: 'ComboBox',
                pack: { label: self.ttr('PP Family') },
                property: {
                    searchable: true,
                    user_data: { field_name: "attr_data->>'pp_family'", operator: 'LIKE' }
                }
            },
            {
                name: 'title',
                type: 'LineEdit',
                pack: { label: self.ttr('Title') },
                property: {
                    user_data: { field_name: "title", operator: 'ilike' }
                }
            }
        ]
    };
}
